MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Nitf::TextSegmentMetadata Class Reference

container for Text Segment metadata More...

`#include <TextSegmentMetadata.h>`

## Public Member Functions
| TextSegmentMetadata ()
| TextSegmentMetadata (const TextSegmentMetadata &)
| ~TextSegmentMetadata ()
TextSegmentMetadata & | operator= (const TextSegmentMetadata &)
LT_STATUS | setTEXTID (const char *)
| set the TEXTID field More...
const char * | getTEXTID () const
| get the TEXTID field More...
LT_STATUS | setTXTDT (const char *)
| set the TEXTDT field More...
const char * | getTXTDT () const
| get the TEXTDT field More...
LT_STATUS | setTXTITL (const char *)
| set the TXTITL field More...
const char * | getTXTITL () const
| get the TXTITL field More...

## Detailed Description

This class is a container for all the text segment-level metadata for an NITF file. It is used with the various NITF image manager, reader, and writer classes.

For details on the length, formatting, etc, of each field, consult the 2500C NITF specification.

Usage Notes:

- all "set" calls will make local copies of their strings
- caller is responsible for blank-padding of strings
- caller is repsonsible for checking proper formatting
- all strings are initialized to reasonable defaults (usually just blanks)

Definition at line 38 of file TextSegmentMetadata.h.

## Constructor & Destructor Documentation

Nitf::TextSegmentMetadata::TextSegmentMetadata | ( | ) |  |

Nitf::TextSegmentMetadata::TextSegmentMetadata | ( | const TextSegmentMetadata & | ) |  |

Nitf::TextSegmentMetadata::~TextSegmentMetadata | ( | ) |  |

## Member Function Documentation

const char* Nitf::TextSegmentMetadata::getTEXTID | ( | ) |  | const

const char* Nitf::TextSegmentMetadata::getTXTDT | ( | ) |  | const

const char* Nitf::TextSegmentMetadata::getTXTITL | ( | ) |  | const

TextSegmentMetadata& Nitf::TextSegmentMetadata::operator= | ( | const TextSegmentMetadata & | ) |  |

LT_STATUS Nitf::TextSegmentMetadata::setTEXTID | ( | const char * | ) |  |

LT_STATUS Nitf::TextSegmentMetadata::setTXTDT | ( | const char * | ) |  |

LT_STATUS Nitf::TextSegmentMetadata::setTXTITL | ( | const char * | ) |  |

The documentation for this class was generated from the following file:

- TextSegmentMetadata.h

LizardTech